#
# spec file for package libva-vdpau-driver
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libva-vdpau-driver
Version:        0.7.4
Release:        lp150.2.3
Summary:        HW video decode support for VDPAU platforms
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://cgit.freedesktop.org/vaapi/vdpau-driver
Source:         http://www.freedesktop.org/software/vaapi/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         libva-vdpau-driver-0.7.4-glext-85.patch
Patch1:         libva-vdpau-driver-0.7.4-drop-h264-api.patch
Patch2:         libva-vdpau-driver-0.7.4-fix_type.patch
Patch3:         libva-vdpau-driver-0.7.4-sigfpe-crash.patch
BuildRequires:  libvdpau-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(libva-x11)
# Replace a similar package from packman
Provides:       vdpau-video
Obsoletes:      vdpau-video <= %{version}-%{release}

%description
VDPAU Backend for Video Acceleration (VA) API HW video decode support.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cat > %{name}.sh << EOF
# use this library when NVIDIA's proprietary driver is running
if test -c /dev/nvidiactl; then
  export LIBVA_DRIVER_NAME='vdpau'
fi
EOF
cat > %{name}.csh << EOF
# use this library when NVIDIA's proprietary driver is running
if (-c /dev/nvidiactl) then
  setenv LIBVA_DRIVER_NAME 'vdpau'
endif
EOF

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot} -name '*.la' -delete
install -Dm 0644 %{name}.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dm 0644 %{name}.csh %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%files
%doc README COPYING AUTHORS NEWS
%dir %{_libdir}/dri
%{_libdir}/dri/*.so
%config %{_sysconfdir}/profile.d/%{name}.*sh

%changelog
* Tue Jan  9 2018 sndirsch@suse.com
- added "%%dir /usr/%%_lib/dri" to filelist in order to fix build
  (probably required since Mesa/Mesa-drivers split)
- no longer require Mesa-devel
* Fri Nov 17 2017 zaitor@opensuse.org
- Add libva-vdpau-driver-0.7.4-sigfpe-crash.patch: Fix a crash if a
  heap is destroyed before being initialized (fdo#58836).
- Replace libva-devel with pkgconfig(libva), pkgconfig(libva-x11)
  and pkgconfig(libva-glx) BuildRequires: Align with what configure
  looks for. Added bonus, now building GLX support too.
* Tue Feb 21 2017 olaf@aepfle.de
- Replace vdpau-video from packman
* Tue Mar 17 2015 sndirsch@suse.com
- use this library by default when NVIDIA's proprietary driver is
  running
* Mon Feb  9 2015 zaitor@opensuse.org
- Initial packaging for openSUSE.
